> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Documents

Use this API to retrieve specific documents or all documents from an organization.

<Warning>
  Use this for SDK v3 or prior versions.
</Warning>

# Endpoint

`POST https://api.velt.dev/v1/organizations/documents/get`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

#### Params

<ParamField body="data" type="object" required>
  <Expandable title="properties">
    <ParamField body="organizationId" type="string" required>
      Organization ID
    </ParamField>

    <ParamField body="documentIds" type="string[]">
      Array of Document IDs. Limit: Only 30 IDs can be passed at a time.
    </ParamField>
  </Expandable>
</ParamField>

## **Example Requests**

#### 1. Get all documents from organization

```JSON theme={null}
{
  "data": {
    "organizationId": "yourOrganizationId",
  }
}
```

#### 2. Get specific documents from organization

```JSON theme={null}
{
  "data": {
    "organizationId": "yourOrganizationId",
    "documentIds": ["yourDocumentId1", "yourDocumentId2"],
  }
}
```

# Response

#### Success Response

```JSON theme={null}
{
  "result": {
    "status": "success",
    "message": "Document(s) retrieved successfully.",
    "data": [
      {
        "documentName": "yourDocumentName",
        "disabled": false,
        "accessType": "public",
        "id": "yourDocumentId",
      }
    ]
  }
}

```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "status": "success",
      "message": "Document(s) retrieved successfully.",
      "data": [
        {
          "documentName": "yourDocumentName",
          "disabled": false,
          "accessType": "public",
          "id": "yourDocumentId",
        }
      ]
    }
  }
  ```
</ResponseExample>
